# kazana-bootstrap

> Kazana core module to bootstrap all things CouchDB

[![NPM version](https://badge.fury.io/js/kazana-bootstrap.svg)](https://www.npmjs.com/package/kazana-bootstrap)
[![Build Status](https://travis-ci.org/eHealthAfrica/kazana-bootstrap.svg?branch=master)](https://travis-ci.org/eHealthAfrica/kazana-bootstrap)

## Usage

```
require('kazana-bootstrap')

var options = {
  bootstrapPath: path.resolve(__dirname, '../bootstrap'),
  couchdb: {
    url: 'http://localhost:5984',
    adminUser: 'admin',
    adminPass: 'secret'
  }
};

main(options, function (error) {});
```

## Here is what happens

`kazana-bootstrap` walks trough the `/templates/bootstrap` and
`/templates/migrations` folders,
and uses its files folders as input to bootstrap the CouchDB database at
`MNUTRITION_COUCHDB_URL`.

It currently does these things:

1. sets (and overrides) _config
2. creates databases (unless existent)
3. sets (and overrides) database `_security` settings
4. creates and updates test user accounts
5. creates and updates design documents

## Test

[![Dependency Status](https://david-dm.org/eHealthAfrica/kazana-bootstrap.svg)](https://david-dm.org/eHealthAfrica/kazana-bootstrap)
[![devDependency Status](https://david-dm.org/eHealthAfrica/kazana-bootstrap/dev-status.svg)](https://david-dm.org/eHealthAfrica/kazana-bootstrap#info=devDependencies)

```
npm test
```

## Credit

Brought to you by [eHealth Africa](http://ehealthafrica.org/)
— good tech for hard places.

## License

Apache-2.0
