module.exports = fixAdminPart;

function fixAdminPart (state, next) {
  state.couch.session(function (error, session) {
    if (error) {
      return next(error);
    }

    if (session.userCtx.roles.indexOf('_admin') === -1) {
      return next();
    }

    state.couch.request({
      method: 'put',
      path: '_config/admins/' + state.config.adminUser,
      body: state.config.adminPass
    }, function (error) {
      if (error) {
        return next(error);
      }

      state.log(['bootstrap'], 'admin user created: ' + state.config.adminUser);
      next();
    });
  });
}
